GET /api/v3/agencies/{lcuid}/accounts¶
Summary¶
GET agencies/{id}/accounts
Description¶
Return a list of accounts for an agency
See Account Response Fields for more information on the account object
🔒 Required Permissions¶
At least one of the following permissions is required to access this endpoint:
agency.viewAccounts
Tags: agencies
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)accounts(array)-
Array items:
objectType:objectProperties:
name(string)options(object) Type:object
Properties:
primary_image_public_url(string)-
primary_image_background_removed_public_url(string) -
lcuid(string) slug(string)website(string)description(string)created_at(string)is_parent_account(boolean)
Example Response¶
{
"success": true,
"accounts": [
{
"name": "Unit Test Account - etKzC",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-042a35eb-8ffb-439d-9984-73165e29b021",
"slug": "UnitTestAccountEtkzc",
"website": null,
"description": "Here is a new unit test account description",
"created_at": "2026-01-07T00:10:08.000000Z",
"is_parent_account": false
},
{
"name": "Unit Test Account - S8SEh",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-e848f9c9-1d8d-45b7-9406-ad1b683955f9",
"slug": "UnitTestAccountS8seh",
"website": null,
"description": "Here is a new unit test account description",
"created_at": "2026-01-07T00:10:08.000000Z",
"is_parent_account": false
},
{
"name": "Unit Test Account - C45ub",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-62080426-bd46-47cd-89a7-1eea00d147ab",
"slug": "UnitTestAccountC45ub",
"website": null,
"description": "Here is a new unit test account description",
"created_at": "2026-01-07T00:10:08.000000Z",
"is_parent_account": false
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/accounts" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/accounts"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/accounts',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/agencies/LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190/accounts'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()